[MBDyn-users] Problem on installation

Louis Gagnon louis.gagnon at polimi.it
Mon Sep 25 08:22:40 CEST 2017


Dear Wenguo,
It could be that you are running a different MBDyn than the one you 
compiled or that later in the config log it actually says umfpack is not 
available...
Perhaps double check those two things.
Best Regards,
-Louis

On 23/09/2017 14:36, Wenguo Zhu wrote:
> Dear Louis Gagnon,
> 
> Thank you for your reply. As you suggested i run command:
>   
> ./configure command --enable-python --with-metis=no
> 
> ,it passed compile and solved the problem.
> However , when i run the example Puma/rotortrim. it says 'Umfpack solver not available; requested at line 77', and i have installed suitesparse(including umfpack), and when configure, the information corresponding to umfpack is as below, does this problem have relationship to metis? or something else?
> --------------------
> checking for SuiteSparse_config library... yes
> checking for AMD library... yes
> checking for COLAMD library... yes
> checking for CCOLAMD library... yes
> checking for CAMD library... yes
> checking for CHOLMOD library... yes
> checking for umfpack library version... 5 or greater
> checking if umfpack library needs long... no
> checking for umfpack library... yes
> ---------------------
>    
> Best Regards
> 
> 
> 
> _______________________________________________
> MBDyn-users mailing list
> MBDyn-users at mbdyn.org
> https://mail.mbdyn.org/cgi-bin/mailman/listinfo/mbdyn-users
> 

-- 
Louis Gagnon, Ph.D.
Postdoctoral fellow
Dipartimento di Scienze e Tecnologie Aerospaziali
Politecnico di Milano
+39 02 2399 8642
http://louisgagnon.com/research/


More information about the MBDyn-users mailing list